Bug 218708 - New port: sysutils/znapzend: ZnapZend is a ZFS centric backup tool
Summary: New port: sysutils/znapzend: ZnapZend is a ZFS centric backup tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Julien Laffaye
URL:
Keywords:
Depends on: 218709
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-17 16:59 UTC by Anton Eriksson
Modified: 2017-09-13 17:49 UTC (History)
1 user (show)

See Also:


Attachments
shar(1) archive of sysutils/znapzend (3.51 KB, application/x-shar)
2017-04-17 16:59 UTC, Anton Eriksson
no flags Details
shar(1) archive of sysutils/znapzend (4.70 KB, text/plain)
2017-09-08 14:09 UTC, Anton Eriksson
no flags Details
shar(1) archive of sysutils/znapzend (4.96 KB, text/plain)
2017-09-13 00:18 UTC, Anton Eriksson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Eriksson 2017-04-17 16:59:03 UTC
Created attachment 181850 [details]
shar(1) archive of sysutils/znapzend

WWW: http://www.znapzend.org
Comment 1 Yuri Victorovich freebsd_committer 2017-08-26 19:22:49 UTC
Please set the mime type of attachment to text/plain.
Comment 2 Anton Eriksson 2017-09-08 14:09:35 UTC
Created attachment 186174 [details]
shar(1) archive of sysutils/znapzend
Comment 3 Julien Laffaye freebsd_committer 2017-09-12 16:26:25 UTC
Take.
Comment 4 Julien Laffaye freebsd_committer 2017-09-12 21:44:04 UTC
jlaffaye@orilla:sysutils/znapzend $ portlint -a
WARN: Makefile: [22]: USE_* seen before USES.  According to the porters-handbook, USES must appear first.
WARN: /usr/home/jlaffaye/head/sysutils/znapzend/pkg-plist: [4]: use %%SITE_PERL%% instead of lib/perl5/site_perl.
WARN: /usr/home/jlaffaye/head/sysutils/znapzend/pkg-plist: [5]: use %%SITE_PERL%% instead of lib/perl5/site_perl.
WARN: /usr/home/jlaffaye/head/sysutils/znapzend/pkg-plist: [6]: use %%SITE_PERL%% instead of lib/perl5/site_perl.
WARN: /usr/home/jlaffaye/head/sysutils/znapzend/pkg-plist: [7]: use %%SITE_PERL%% instead of lib/perl5/site_perl.
WARN: Makefile: possible direct use of "CONFIGURE_ARGS=         --prefix=/usr/local --libdir=/usr/local" found. if so, use ${PREFIX} or ${LOCALBASE}, as appropriate.
WARN: Makefile: possible direct use of "CONFIGURE_ENV=          PERL5LIB=/usr/local" found. if so, use ${PREFIX} or ${LOCALBASE}, as appropriate.
WARN: Makefile: wrong dependency value for BUILD_DEPENDS. BUILD_DEPENDS requires 2 or 3 colon-separated tuples.
WARN: Makefile: wrong dependency value for RUN_DEPENDS. RUN_DEPENDS requires 2 or 3 colon-separated tuples.
WARN: Makefile: extra item placed in the *_DEPENDS section, for example, "MY_DEPENDS".
WARN: Makefile: "DISTVERSIONPREFIX" has to appear earlier.
0 fatal errors and 11 warnings found.


Please fix issues.
Comment 5 Anton Eriksson 2017-09-13 00:18:33 UTC
Created attachment 186311 [details]
shar(1) archive of sysutils/znapzend
Comment 6 commit-hook freebsd_committer 2017-09-13 17:48:43 UTC
A commit references this bug:

Author: jlaffaye
Date: Wed Sep 13 17:48:06 UTC 2017
New revision: 449808
URL: https://svnweb.freebsd.org/changeset/ports/449808

Log:
  Add sysutils/znapzend

  PR:		218708
  Submitted by:	Anton Eriksson <skalmanman@gmail.com>

Changes:
  head/sysutils/Makefile
  head/sysutils/znapzend/
  head/sysutils/znapzend/Makefile
  head/sysutils/znapzend/distinfo
  head/sysutils/znapzend/files/
  head/sysutils/znapzend/files/patch-lib_ZnapZend.pm
  head/sysutils/znapzend/files/znapzend.in
  head/sysutils/znapzend/pkg-descr
  head/sysutils/znapzend/pkg-plist
Comment 7 Julien Laffaye freebsd_committer 2017-09-13 17:49:49 UTC
Committed with changes:
- indent
- %%PERL_SITE%% replaced by ${PERL_SITE} in Makefile